﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace PlanetTutorial
{
    public class Rock : Planet
    {

        GraphicsDevice graphics;

        public Rock(GraphicsDevice graf, int seed)
        {
            Seed = seed;
            Type = PlanetType.Rock;
            BuildPerm(graf);
            graphics = graf;
        }

        public void LoadContent(ContentManager cont)
        {
            terrain = cont.Load<Effect>("Shaders//Rock");
            draw = cont.Load<Effect>("Shaders//ColorMap");
            Palette = cont.Load<Texture2D>("Textures//rock");
            Nz = 90;
            Generate(graphics);

        }
    }
}